For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeveloper ForumLogin
  • Overview
    • Introduction
    • Getting Started
    • Integration Example (PSA)
    • Authentication
    • Error Handling
    • Pagination
    • Filtering
    • Ordering
    • Rate Limits
    • Permissions
    • Webhooks
    • MCP Server
    • Versioning
    • Changelog
    • Support
  • API v1 Reference
    • Projects Overview
      • GETReturns all automations of the specified project.
      • POSTCreates a new automation for the specified project.
      • GETReturns a specific automation from a project.
      • PUTUpdates the automation with the specified id.
      • DELDeletes the specified automation for a given project.
      • GETGets the actions of a project automation.
      • POSTCreates a new action for an automation.
      • GETGets a specific action for a project automation.
      • PUTUpdates a specifc action of a project automation.
      • DELDeletes an action for a project automation.
      • POSTUpdates the order of a given action of a project automation.
      • POSTExecutes a manual automation for a task.
    • Tasks Overview
    • Time Tracking Overview
    • Documents Overview
    • Search Overview
    • Companies Overview
    • Users Overview
    • Files & Images Overview
    • Custom Fields Overview
    • Workload & Planning Overview
    • Project Templates Overview
    • Workflows Overview
    • Login & Access Overview
    • API Management Overview
LogoLogo
SupportDeveloper ForumLogin
API v1 ReferenceProject Automations

Creates a new action for an automation.

POST
https://api.awork.com/api/v1/projects/:projectId/automations/:automationId/actions
POST
/api/v1/projects/:projectId/automations/:automationId/actions
$curl -X POST https://api.awork.com/api/v1/projects/projectId/automations/automationId/actions \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "type": "tag-add-task",
> "values": [
> {
> "name": "user",
> "value": null
> }
> ]
>}'
1{
2 "id": "123e4567-e89b-12d3-a456-426614174000",
3 "createdBy": "123e4567-e89b-12d3-a456-426614174000",
4 "createdOn": "2024-01-15T09:30:00Z",
5 "updatedBy": "123e4567-e89b-12d3-a456-426614174000",
6 "updatedOn": "2024-01-15T09:30:00Z",
7 "type": "tag-add-task",
8 "order": 2,
9 "values": [
10 {
11 "name": "tag",
12 "value": "Design"
13 }
14 ]
15}
Creates a new action including its values for an automation. Actions cannot be added to automations created from a workflow. <Check title="Required Permissions" icon="key">The user must be owner of the project or must have `project-master-data:write` permissions on the specified project.</Check>
Was this page helpful?
Previous

Gets a specific action for a project automation.

Next
Built with

Creates a new action including its values for an automation. Actions cannot be added to automations created from a workflow.

Required Permissions
The user must be owner of the project or must have project-master-data:write permissions on the specified project.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

projectIdstringRequiredformat: "uuid"
The id of the project of the automation.
automationIdstringRequiredformat: "uuid"
The id of the automation.

Request

The model to create an action.
typestringRequired>=1 character
The type of the action.
valueslist of objectsRequired
The values of the action.
orderdouble or nullOptional
The order of the action.

Response

OK
idstringformat: "uuid"
The id of the action.
createdBystringformat: "uuid"
The id of the user who created the action.
createdOnstringformat: "date-time"
The date the action was created.
updatedBystringformat: "uuid"
The id of the user who updated the action.
updatedOnstringformat: "date-time"
The date the action was updated.
typestring or null
The type of the action.
orderdouble or null
The order of the action.
valueslist of objects or null
The values of the action.

Errors

400
Bad Request Error